summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--games/marathon2-data/README9
-rw-r--r--games/marathon2-data/doinst.sh3
-rw-r--r--games/marathon2-data/marathon26
-rw-r--r--games/marathon2-data/marathon2-data.SlackBuild59
-rw-r--r--games/marathon2-data/marathon2-data.info10
-rw-r--r--games/marathon2-data/marathon2.desktop7
-rw-r--r--games/marathon2-data/slack-desc19
7 files changed, 113 insertions, 0 deletions
diff --git a/games/marathon2-data/README b/games/marathon2-data/README
new file mode 100644
index 0000000000..4e4e2acc1a
--- /dev/null
+++ b/games/marathon2-data/README
@@ -0,0 +1,9 @@
+marathon2-data (game data for use with alephone)
+
+In Marathon 2: Durandal, you and other survivors hunt for an ancient
+ally to topple the Pfhor empire.
+
+Included in the package is a shell script wrapper. Type "marathon2"
+or select Marathon 2 from the KDE or XFCE "Games" menu.
+
+This requires alephone.
diff --git a/games/marathon2-data/doinst.sh b/games/marathon2-data/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/marathon2-data/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/marathon2-data/marathon2 b/games/marathon2-data/marathon2
new file mode 100644
index 0000000000..d0e9c8ee3d
--- /dev/null
+++ b/games/marathon2-data/marathon2
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+ALEPHONE_DATA="/usr/share/AlephOne/gamedata/Marathon 2"
+export ALEPHONE_DATA
+
+exec alephone "$@"
diff --git a/games/marathon2-data/marathon2-data.SlackBuild b/games/marathon2-data/marathon2-data.SlackBuild
new file mode 100644
index 0000000000..244d78c5a5
--- /dev/null
+++ b/games/marathon2-data/marathon2-data.SlackBuild
@@ -0,0 +1,59 @@
+#!/bin/sh
+
+# Slackware build script for marathon2-data
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=marathon2-data
+VERSION=${VERSION:-20111201}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+ZIPNAME=Marathon2
+ZIPFILE=$ZIPNAME-$VERSION-Data.zip
+WRAPPER=$( echo $PRGNAM | cut -d- -f1 )
+DATADIR=$PKG/usr/share/AlephOne/gamedata
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+mkdir -p $DATADIR
+unzip $CWD/$ZIPFILE -d $DATADIR
+
+chown -R root:root $DATADIR
+
+# NB: the usual find predicate is different (zipfile stores +x permissions
+# on some files for no good reason)
+find $DATADIR \
+ \( -type f -a -perm +0100 \) \
+ -exec chmod 644 {} \; -o \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin
+cat $CWD/$WRAPPER > $PKG/usr/bin/$WRAPPER
+chmod 0755 $PKG/usr/bin/$WRAPPER
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$WRAPPER.desktop > $PKG/usr/share/applications/$WRAPPER.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/marathon2-data/marathon2-data.info b/games/marathon2-data/marathon2-data.info
new file mode 100644
index 0000000000..3d9f8d4d43
--- /dev/null
+++ b/games/marathon2-data/marathon2-data.info
@@ -0,0 +1,10 @@
+PRGNAM="marathon2-data"
+VERSION="20111201"
+HOMEPAGE="http://marathon.sourceforge.net/"
+DOWNLOAD="http://files3.bungie.org/trilogy/Marathon2-20111201-Data.zip"
+MD5SUM="59877a90efaf4e648a532d6dc371906a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="rworkman"
diff --git a/games/marathon2-data/marathon2.desktop b/games/marathon2-data/marathon2.desktop
new file mode 100644
index 0000000000..049f6a6827
--- /dev/null
+++ b/games/marathon2-data/marathon2.desktop
@@ -0,0 +1,7 @@
+[Desktop Entry]
+Name=Marathon 2
+Exec=marathon2
+Icon=alephone
+Type=Application
+Comment=Marathon 2: Durandal (first-person shooter game)
+Categories=Game;ActionGame;
diff --git a/games/marathon2-data/slack-desc b/games/marathon2-data/slack-desc
new file mode 100644
index 0000000000..fd541a1cad
--- /dev/null
+++ b/games/marathon2-data/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+marathon2-data: marathon2-data (game data for use with alephone)
+marathon2-data:
+marathon2-data: In Marathon 2: Durandal, you and other survivors hunt for an ancient
+marathon2-data: ally to topple the Pfhor empire.
+marathon2-data:
+marathon2-data:
+marathon2-data:
+marathon2-data:
+marathon2-data:
+marathon2-data:
+marathon2-data: